%global extraver rc1

Name:     open62541
Version:  0.3
Release:  0.2.%{extraver}%{?dist}
Summary:  OPC UA implementation
License:  MPLv2.0
URL:      http://open62541.org
Source0:  https://github.com/open62541/open62541/archive/%{version}-%{extraver}.tar.gz
Patch0:   000-remove-unknown-gcc-options.patch
Patch1:   001-fix-pragma.patch

BuildRequires: cmake3, python, python-six, gcc-c++, make

%description
open62541 is a C-based library (linking with C++ projects is possible)
with all necessary tools to implement dedicated OPC UA clients and servers,
or to integrate OPC UA-based communication into existing applications.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}-%{extraver} # double-name prefix by GitHub
%patch0 -p1
%patch1 -p1

%build
%cmake3 -DUA_ENABLE_AMALGAMATION=ON .
make

%install
%make_install

# Remove this from the examples installation
rm examples/CMakeLists.txt
rm -Rf %{buildroot}/usr/share/open62541/tools

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libdir}/libopen62541.so.*

%files devel
%license LICENSE LICENSE-CC0
%{_libdir}/libopen62541.so

%{_libdir}/pkgconfig/open62541.pc
%dir %{_includedir}/open62541
%{_includedir}/open62541/*
%{_libdir}/cmake/open62541*

%doc FEATURES.md
%doc examples/

%changelog
* Wed Mar 07 2018 Jens Reimann <jreimann@redhat.com> - 0.3-0.2.rc1
- Upgraded to 0.3.rc1, switch to cmake3

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 31 2017 Jens Reimann <jreimann@redhat.com> - 0.2-1
- Initial version of the package

